#include <luna.h>
#include <stdio.h>
#include <unistd.h>

void fib_next(unsigned long int* a, unsigned long int* b)
{
    unsigned long int _a = *a;
    unsigned long int _b = *b;
    *a = *b;
    *b = _a + _b;
}

int main()
{
    unsigned long int fib_a = 1;
    unsigned long int fib_b = 1;

    printf("Calculating the 50 first Fibonacci numbers...\n");

    sleep(2);

    printf("%lu\n", fib_a);

    msleep(500);

    for (int i = 0; i < 49; i++)
    {
        printf("%lu\n", fib_b);
        fib_next(&fib_a, &fib_b);
        msleep(500);
    }

    printf("\nDone, press any key to restart.\n");
}