#ifndef _LUNA_H
#define _LUNA_H

#include <sys/types.h>

#define noreturn __attribute__((noreturn))

#ifdef __cplusplus
extern "C"
{
#endif

    pid_t gettid();
    unsigned int msleep(unsigned int);
    noreturn void __luna_abort(const char* message);

#ifdef __cplusplus
}
#endif

#define NOT_IMPLEMENTED(message) __luna_abort("not implemented: " message "\n")

#endif